Bug 1603235 (CVE-2018-14379)

Summary: CVE-2018-14379 libmp4v2: Type confusion in MP4Atom::factory in mp4atom.cpp
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: amigadave, dominik, matthias, moez.roy, sergio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:33:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1603236, 1603237    
Bug Blocks:    

Description Pedro Sampaio 2018-07-19 13:59:27 UTC
MP4Atom::factory in mp4atom.cpp in MP4v2 2.0.0 incorrectly uses the MP4ItemAtom data type in a certain case where MP4DataAtom is required, which allows remote attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via a crafted MP4 file, because access to the data structure has different expectations about layout as a result of this type confusion.

References:

http://www.openwall.com/lists/oss-security/2018/07/17/1

Comment 1 Pedro Sampaio 2018-07-19 14:00:08 UTC
Created libmp4v2 tracking bugs for this issue:

Affects: epel-all [bug 1603237]
Affects: fedora-all [bug 1603236]

Comment 2 Product Security DevOps Team 2019-06-10 10:33:37 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.